# Drupal VM Sites

[![Gem Version](https://badge.fury.io/rb/drupal-vm-sites.svg)](https://badge.fury.io/rb/drupal-vm-sites)

This Vagrant plugin makes it easy to manage multiple Drupal sites on a single Vagrant instance. It is used to generate a `config.yml` file for Drupal VM. See [Drupal VM Documentation](http://docs.drupalvm.com/en/latest/) for additional documentation.

## Setup

1. `vagrant plugin install drupal-vm-sites`

2. `touch drupal-vm-sites.yml`
    
3. Add Drupal websites to `drupal-vm-sites.yml`

    ```yml
    site1:
        url: site1.com
    site2:
        url: site2.edu
        path: ~/path/to/site
    site3:
        url: site3.us.gov
        path: ~/some/other/path
    ```
    
    **Note:** path defaults to `~/Sites/site.com/www` if not specified

4. `vagrant up`

You now have a functional Drupal vagrant install for your sites! Now you can configure Drupal.

## Configure Drupal

#### New Database?

A new database was created during Vagrant provision so you're all set.

- dbname: `sitename`
- user: `root`
- pass: `root`

#### Existing Database?

Export database from the base site and then use [Drush](http://www.drush.org/en/master/):

    drush @skycatchfire.dev sql-drop
    drush @skycatchfire.dev sql-cli < ~/my-sql-dump-file-name.sql
